Support » Plugin: Pixeline's Email Protector » has_cap was called with an argument that is deprecated since ve

  • Resolved ramon fincken

    (@ramon-fincken)


    please change the option call from

    add_options_page(‘Email protector’, ‘Email protector’, 10, basename(__FILE__), array(&$this, ‘admin_options_page’));

    to

    add_options_page(‘Email protector’, ‘Email protector’, ‘manage_options‘, basename(__FILE__), array(&$this, ‘admin_options_page’));

    as this will stop logging this error:

    <b>Notice</b>: has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in <b>/home/ramon/www/clientname/wp-app-client/web/wp/wp-includes/functions.php</b> on line <b>4021</b><br />

Viewing 3 replies - 1 through 3 (of 3 total)
Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘has_cap was called with an argument that is deprecated since ve’ is closed to new replies.